# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v5.10.94
  - c525532e4f87 Linux 5.10.94
  - c76c132444df scripts: sphinx-pre-install: Fix ctex support on Debian
  ACK: uli -- build system, cosmetic?
  - 133cef0b6154 scripts: sphinx-pre-install: add required ctex dependency
  - 15ce9329a532 ath10k: Fix the MTU size on QCA9377 SDIO
  - 25b1a6d33039 mtd: nand: bbt: Fix corner case in bad block table handling
  - 8104e589fa4a lib/test_meminit: destroy cache in kmem_cache_alloc_bulk() test
  - 629250370052 mm/hmm.c: allow VM_MIXEDMAP to work with hmm_range_fault
  - 33bb7f027b06 lib82596: Fix IRQ check in sni_82596_probe
  - 078b5a4498e0 scripts/dtc: dtx_diff: remove broken example from help text
  - 21513c461557 dt-bindings: watchdog: Require samsung,syscon-phandle for Exynos7
  - 23bcf3615be7 dt-bindings: display: meson-vpu: Add missing amlogic,canvas property
  - 66467cc87a35 dt-bindings: display: meson-dw-hdmi: add missing sound-name-prefix property
  - 4496e4a427a0 net: mscc: ocelot: fix using match before it is set
  - ee64479c9ce6 net: sfp: fix high power modules without diagnostic monitoring
  - 819e76bc572e net: ethernet: mtk_eth_soc: fix error checking in mtk_mac_config()
  - 4691c9f047a8 bcmgenet: add WOL IRQ check
  - 6973b38b9dba net_sched: restore "mpu xxx" handling
  - 20949c381646 net: bonding: fix bond_xmit_broadcast return value error bug
  - 799730d182d1 arm64: dts: qcom: msm8996: drop not documented adreno properties
  - f6d4c0e017ec devlink: Remove misleading internal_flags from health reporter dump
  - 2e51a761b7ab perf probe: Fix ppc64 'perf probe add events failed' case
  - 59b44f77601d dmaengine: at_xdmac: Fix at_xdmac_lld struct definition
  - 0078f053714d dmaengine: at_xdmac: Fix lld view setting
  - 7ab120636d4e dmaengine: at_xdmac: Fix concurrency over xfers_list
  - b5b27c5e3315 dmaengine: at_xdmac: Print debug message after realeasing the lock
  - c536b351a75f dmaengine: at_xdmac: Start transfer for cyclic channels in issue_pending
  - cd22e22e8eac dmaengine: at_xdmac: Don't start transactions at tx_submit level
  - 68a83051c8b1 perf script: Fix hex dump character output
  - 7b9d40e9f60d libcxgb: Don't accidentally set RTO_ONLINK in cxgb_find_route()
  - cd5c24d2230f gre: Don't accidentally set RTO_ONLINK in gre_fill_metadata_dst()
  - 7f2ca96bd266 xfrm: Don't accidentally set RTO_ONLINK in decode_session4()
  - 2b1415c60b2e netns: add schedule point in ops_exit_list()
  - edc09548ffc5 inet: frags: annotate races around fqdir->dead and fqdir->high_thresh
  - 69e7e979ed66 taskstats: Cleanup the use of task->exit_code
  - 56daa21414e9 virtio_ring: mark ring unused on error
  - 0c4ebcb00d88 vdpa/mlx5: Fix wrong configuration of virtio_version_1_0
  - c736ec01a2fc rtc: pxa: fix null pointer dereference
  - 8b8ff4c793ee HID: vivaldi: fix handling devices not using numbered reports
  - d7544cf6939c net: axienet: increase default TX ring size to 128
  - 557829d42d1f net: axienet: fix for TX busy handling
  - 41831d496772 net: axienet: fix number of TX ring slots for available check
  - 6301f3566aef net: axienet: Fix TX ring slot available check
  - 7a3d3d7f6d7b net: axienet: limit minimum TX ring size
  - 2f548489d64d net: axienet: add missing memory barriers
  - bcc5d57e6091 net: axienet: reset core on initialization prior to MDIO access
  - 46c0ccaff285 net: axienet: Wait for PhyRstCmplt after core reset
  - 34942a228aec net: axienet: increase reset timeout
  - a66b9bccf732 net/smc: Fix hung_task when removing SMC-R devices
  - 51b52cf35485 clk: si5341: Fix clock HW provider cleanup
  - fe40f7aef387 clk: Emit a stern warning with writable debugfs enabled
  - 38221afa03af af_unix: annote lockless accesses to unix_tot_inflight & gc_in_progress
  - a49e402f2309 f2fs: fix to reserve space for IO align feature
  - 39ad0581176d f2fs: compress: fix potential deadlock of compress file
  - e1840365ed4f parisc: pdc_stable: Fix memory leak in pdcs_register_pathentries
  - d806eb5f4e23 net/fsl: xgmac_mdio: Fix incorrect iounmap when removing module
  - 38c798384b90 net/fsl: xgmac_mdio: Add workaround for erratum A-009885
  - 734f4b0f831e ipv4: avoid quadratic behavior in netns dismantle
  - 86f0587f7432 ipv4: update fib_info_cnt under spinlock protection
  - 10e99ae9b5da perf evsel: Override attr->sample_period for non-libpfm4 events
  - 58fa3e900255 xdp: check prog type before updating BPF link
  - 38ee417f59c8 bpftool: Remove inclusion of utilities.mak from Makefiles
  - 2bcab471a26f block: Fix fsync always failed if once failed
  - 5e59f885353e powerpc/fsl/dts: Enable WA for erratum A-009885 on fman3l MDIO buses
  - 19aaef651948 powerpc/cell: Fix clang -Wimplicit-fallthrough warning
  - 4cb7aba1e086 Revert "net/mlx5: Add retry mechanism to the command entry index allocation"
  - 78cf5f63a3a9 dmaengine: stm32-mdma: fix STM32_MDMA_CTBR_TSEL_MASK
  - 16ad0aa917c9 RDMA/rxe: Fix a typo in opcode name
  - 885860717c29 RDMA/hns: Modify the mapping attribute of doorbell to device
  - 57cd8597c3ef dmaengine: uniphier-xdmac: Fix type of address variables
  - 4fe77b7cd272 scsi: core: Show SCMD_LAST in text form
  - b30240911da4 Bluetooth: hci_sync: Fix not setting adv set duration
  - 55698d11c8da Documentation: fix firewire.rst ABI file path error
  - 5d38cbf66dd7 Documentation: refer to config RANDOMIZE_BASE for kernel address-space randomization
  - abecf9d74836 Documentation: ACPI: Fix data node reference documentation
  - d1e85fcd73b5 Documentation: dmaengine: Correctly describe dmatest with channel unset
  - f6736bd81db4 media: correct MEDIA_TEST_SUPPORT help text
  - 55b10b88ac86 drm/vc4: hdmi: Make sure the device is powered with CEC
  - 81ac08a800b0 media: rcar-csi2: Optimize the selection PHTW register
  - 0baa3729d2eb can: mcp251xfd: mcp251xfd_tef_obj_read(): fix typo in error message
  - f62bf6ee4fa3 firmware: Update Kconfig help text for Google firmware
  - 12224c0d19f3 of: base: Improve argument length mismatch error
  - 7bb99c7e13f8 drm/radeon: fix error handling in radeon_driver_open_kms
  - 0ca7ec6db20c ext4: don't use the orphan list when migrating an inode
  - 679fb065326b ext4: fix null-ptr-deref in '__ext4_journal_ensure_credits'
  - d60e9daba29e ext4: destroy ext4_fc_dentry_cachep kmemcache on module removal
  - f26b24b4c115 ext4: fast commit may miss tracking unwritten range during ftruncate
  - 04b562730677 ext4: use ext4_ext_remove_space() for fast commit replay delete range
  - 53998b3f6dcd ext4: Fix BUG_ON in ext4_bread when write quota data
  - da364ab35892 ext4: set csum seed in tmp inode while migrating to extents
  - e4221629d5e1 ext4: fix fast commit may miss tracking range for FALLOC_FL_ZERO_RANGE
  - 720508dd118d ext4: initialize err_blk before calling __ext4_get_inode_loc
  - f9ed0ea0a9fc ext4: fix a possible ABBA deadlock due to busy PA
  - 115b762b48ab ext4: make sure quota gets properly shutdown on error
  - 762e4c33e9e5 ext4: make sure to reset inode lockdep class when quota enabling fails
  - f8c3ec2e21b9 btrfs: respect the max size in the header when activating swap file
  - e7764bccae77 btrfs: check the root node for uptodate before returning it
  - 09e0ef287e93 btrfs: fix deadlock between quota enable and other quota operations
  - 56f974d583fc xfrm: fix policy lookup for ipv6 gre packets
  - 84166c1177f3 PCI: pci-bridge-emul: Set PCI_STATUS_CAP_LIST for PCIe device
  - 7aeeb9fe9ca0 PCI: pci-bridge-emul: Correctly set PCIe capabilities
  - af1d0acdaca7 PCI: pci-bridge-emul: Fix definitions of reserved bits
  - 0f2ae6691e73 PCI: pci-bridge-emul: Properly mark reserved PCIe bits in PCI config space
  - 2a0d437d8a76 PCI: pci-bridge-emul: Make expansion ROM Base Address register read-only
  - def2825b09ec PCI: pciehp: Use down_read/write_nested(reset_lock) to fix lockdep errors
  - 6cbe8f8deb62 PCI: xgene: Fix IB window setup
  - e09f47e77b6e powerpc/64s/radix: Fix huge vmap false positive
  - eb44b1386af5 parisc: Fix lpa and lpa_user defines
  - 9b78ee2341d4 drm/bridge: analogix_dp: Make PSR-exit block less
  - 8cbbf4a6f1ac drm/nouveau/kms/nv04: use vzalloc for nv04_display
  - 605583fcccb5 drm/etnaviv: limit submit sizes
  - 6c1e3d8b1bff device property: Fix fwnode_graph_devcon_match() fwnode leak
  - ecb71f7bd584 s390/mm: fix 2KB pgtable release race
  - 798754ba48b7 iwlwifi: mvm: Increase the scan timeout guard to 30 seconds
  - c524f4cfb3e5 tracing/kprobes: 'nmissed' not showed correctly for kretprobe
  - b72075e395b3 cputime, cpuacct: Include guest time in user time in cpuacct.stat
  - 13518f058fde serial: Fix incorrect rs485 polarity on uart open
  - 9668cf9e4af0 fuse: Pass correct lend value to filemap_write_and_wait_range()
  - 9fbaddd783fd xen/gntdev: fix unmap notification order
  ACK: pavel -- just an API tweak
  - 67b078d996f7 spi: uniphier: Fix a bug that doesn't point to private data correctly
  ACK: pavel
  - 05026c4e94c9 tpm: fix NPE on probe for missing device
  ACK: pavel
  - 76006d33f1c8 ubifs: Error path in ubifs_remount_rw() seems to wrongly free write buffers
  UR: pavel --a better explanation would be nice
  - 4f0762ac32b5 crypto: caam - replace this_cpu_ptr with raw_cpu_ptr
  ACK: pavel -- just a warning workaround
  - 9e6ff2d5725b crypto: stm32/crc32 - Fix kernel BUG triggered in probe()
  ACK: pavel
  - 2031e0246e45 crypto: omap-aes - Fix broken pm_runtime_and_get() usage
  ACK: pavel
  - 43e94431c313 rpmsg: core: Clean up resources on announce_create failure.
  ACK: pavel
  - 082ff9e12b4a phy: mediatek: Fix missing check in mtk_mipi_tx_probe
  ACK: pavel
  - ff08cf1e34a1 ASoC: mediatek: mt8183: fix device_node leak
  ACK: pavel
  - f28672eef4a9 ASoC: mediatek: mt8173: fix device_node leak
  ACK: pavel
  - 0df51040089d scsi: sr: Don't use GFP_DMA
  ACK: uli -- not a serious bug
  UR: pavel
  - de9a936b04c5 MIPS: Octeon: Fix build errors using clang
  ACK: uli -- clang appeasement
  ACK: pavel -- just a warning workaround
  - da7df943e254 i2c: designware-pci: Fix to change data types of hcnt and lcnt parameters
  ACK: uli
  ACK: pavel -- not sure it fixes anything
  - f09f7ccb28bb irqchip/gic-v4: Disable redistributors' view of the VPE table at boot time
  ACK: uli
  ACK: pavel
  - bc2d961d821b MIPS: OCTEON: add put_device() after of_find_device_by_node()
  ACK: uli
  ACK: pavel
  - ce34b03a71b6 udf: Fix error handling in udf_new_inode()
  ACK: uli
  ACK: pavel
  - 15be042e7fd9 powerpc/fadump: Fix inaccurate CPU state info in vmcore generated with panic
  ACK: uli
  ACK: pavel
  - f2e658d9bda2 powerpc: handle kdump appropriately with crash_kexec_post_notifiers option
  ACK: uli
  UR: pavel
  - 044164b4198e selftests/powerpc/spectre_v2: Return skip code when miss_percent is high
  ACK: uli -- test only
  ACK: pavel
  - 21125e011620 powerpc/40x: Map 32Mbytes of memory at startup
  ACK: uli
  ACK: pavel -- more memory for kernel
  - c330442f46ea MIPS: Loongson64: Use three arguments for slti
  ACK: uli -- LLVM compile fix
  ACK: pavel -- just a LLVM workaround
  - af8d07735083 ALSA: seq: Set upper limit of processed events
  ACK: uli
  UR: pavel -- c/e, not sure this happens in practice
  - 297210783a7a scsi: lpfc: Trigger SLI4 firmware dump before doing driver cleanup
  ACK: uli
  UR: pavel
  - dfde7afed711 dm: fix alloc_dax error handling in alloc_dev
  ACK: uli
  ACK: pavel
  - 2e2086f49e08 nvmem: core: set size for sysfs bin file
  ACK: uli
  ACK: pavel -- just an API tweak
  - 4a273a94bda8 w1: Misuse of get_user()/put_user() reported by sparse
  ACK: uli
  UR: pavel -- not a minimum fix, extends API, too
  - 87e91d6c6a5e KVM: PPC: Book3S: Suppress failed alloc warning in H_COPY_TOFROM_GUEST
  ACK: uli
  ACK: pavel
  - 23bb3f01ceb5 KVM: PPC: Book3S: Suppress warnings when allocating too big memory slots
  ACK: uli
  ACK: pavel
  - 03c1595a181c powerpc/powermac: Add missing lockdep_register_key()
  IGN: uli
  ACK: pavel
  - df29c01b9fbe clk: meson: gxbb: Fix the SDM_EN bit for MPLL0 on GXBB
  ACK: uli
  ACK: pavel
  - 30d35a1abd9e i2c: mpc: Correct I2C reset procedure
  ACK: uli
  ACK: pavel
  - 4b25aad655c9 powerpc/smp: Move setup_profiling_timer() under CONFIG_PROFILING
  ACK: uli -- trivial cleanup
  ACK: pavel -- just a W=1 warning fix
  - 25714ad6bf5e i2c: i801: Don't silently correct invalid transfer size
  ACK: uli
  ACK: pavel -- just a robustness
  - 75e2cfa5fae9 powerpc/watchdog: Fix missed watchdog reset due to memory ordering race
  ACK: uli
  UR: pavel
  - a83639521a4f powerpc/btext: add missing of_node_put
  ACK: uli
  ACK: pavel
  - fc10d8f00a89 powerpc/cell: add missing of_node_put
  ACK: uli
  ACK: pavel
  - 297ff7d5f157 powerpc/powernv: add missing of_node_put
  ACK: uli
  ACK: pavel
  - c83ba875d7be powerpc/6xx: add missing of_node_put
  ACK: uli
  ACK: pavel
  - d240b08d8ac4 x86/kbuild: Enable CONFIG_KALLSYMS_ALL=y in the defconfigs
  ACK: uli -- not a bug
  - 3681e9f3f0f7 parisc: Avoid calling faulthandler_disabled() twice
  UR: pavel -- changes error handling. Code is not same in 4.4
  - f2a27dd7a2de random: do not throw away excess input to crng_fast_load
  ACK: uli
  - f8fdebfb4b37 serial: core: Keep mctrl register state and cached copy in sync
  UR: pavel -- not for stable
  - a03fd1b19891 serial: pl010: Drop CR register reset on set_termios
  ACK: pavel -- just a cleanup
  - 40ac33892630 regulator: qcom_smd: Align probe function with rpmh-regulator
  ACK: pavel
  - 3dc751213fe9 net: gemini: allow any RGMII interface mode
  ACK: pavel
  - 1063de897563 net: phy: marvell: configure RGMII delays for 88E1118
  ACK: pavel
  - 00580670b98b mlxsw: pci: Avoid flow control for EMAD packets
  ACK: uli
  - eaf8cffcf5d5 dm space map common: add bounds check to sm_ll_lookup_bitmap()
  ACK: pavel -- just a robustness
  - 5850bef8e955 dm btree: add a defensive bounds check to insert_at()
  ACK: pavel -- just a robustness
  - 754b663ea916 mac80211: allow non-standard VHT MCS-10/11
  - e8da60b3a629 net: mdio: Demote probed message to debug print
  ACK: pavel -- just a printk tweak
  - 6b22c9824ddb btrfs: remove BUG_ON(!eie) in find_parent_nodes
  ACK: pavel -- just a robustness
  - 623c65bc7336 btrfs: remove BUG_ON() in find_parent_nodes()
  ACK: pavel -- just a robustness
  - 44cbd2a16a07 ACPI: battery: Add the ThinkPad "Not Charging" quirk
  ACK: pavel -- just an interface tweak
  - 7b6dc07c6e69 amdgpu/pm: Make sysfs pm attributes as read-only for VFs
  ACK: uli
  - 516e332d6fce drm/amdgpu: fixup bad vram size on gmc v8
  ACK: pavel
  - ee88ff140de2 ACPICA: Hardware: Do not flush CPU cache when entering S4 and S5
  UR: pavel -- probably not neccessary for 4.19
  - 8544074762e2 ACPICA: Fix wrong interpretation of PCC address
  ACK: uli
  - e70be176961d ACPICA: Executer: Fix the REFCLASS_REFOF case in acpi_ex_opcode_1A_0T_1R()
  ACK: pavel
  - 8ea9216d20b7 ACPICA: Utilities: Avoid deleting the same object twice in a row
  ACK: pavel
  - fcfd8282c5d2 ACPICA: actypes.h: Expand the ACPI_ACCESS_ definitions
  UR: pavel -- just adds unused defines
  - e3a51d6c90a8 jffs2: GC deadlock reading a page that is used in jffs2_write_begin()
  ACK: pavel
  - e35cb5b122fc drm/etnaviv: consider completed fence seqno in hang check
  ACK: uli
  - a0b13335a342 xfrm: rate limit SA mapping change message to user space
  ACK: uli
  - 0b7beb2fea8f Bluetooth: vhci: Set HCI_QUIRK_VALID_LE_STATES
  ACK: uli -- sounds like a feature
  - 6ac117edac18 ath11k: Fix napi related hang
  ACK: uli
  - 756a7188b277 um: registers: Rename function names to avoid conflicts and build problems
  ACK: pavel
  - d817d10f7a00 iwlwifi: pcie: make sure prph_info is set when treating wakeup IRQ
  ACK: uli
  - f266e1c5bf88 iwlwifi: mvm: Fix calculation of frame length
  ACK: pavel
  - 6e44b600543c iwlwifi: remove module loading failure message
  ACK: pavel -- simply removes the message
  - febab6b60d61 iwlwifi: fix leaks/bad data after failed firmware load
  ACK: pavel
  - 81d2e96ababb PM: AVS: qcom-cpr: Use div64_ul instead of do_div
  ACK: uli -- real life bug?
  ACK: pavel
  - c0a1d844e3e7 rtw88: 8822c: update rx settings to prevent potential hw deadlock
  ACK: uli
  - 3ef25f3122c0 ath9k: Fix out-of-bound memcpy in ath9k_hif_usb_rx_stream
  ACK: pavel
  - e10de3105547 usb: hub: Add delay for SuperSpeed hub resume to let links transit to U0
  ACK: pavel -- just a workaround for buggy hw
  - 282286c632a2 cpufreq: Fix initialization of min and max frequency QoS requests
  ACK: uli -- not really a bug, is it?
  - 37b25de3af10 PM: runtime: Add safety net to supplier device release
  ACK: uli
  - 5dfc6fa0b8c2 arm64: tegra: Adjust length of CCPLEX cluster MMIO region
  ACK: pavel
  - b68c56a149e4 arm64: dts: ls1028a-qds: move rtc node to the correct i2c bus
  ACK: uli -- confusing (i2c1/i2c2 in commit message vs i2c0/i2c1 in the code), but probably correct
  - b6f7f0ad5af5 audit: ensure userspace is penalized the same as the kernel when under pressure
  UR: pavel -- not sure this is suitable fix
  - 5d54ed155031 mmc: core: Fixup storing of OCR for MMC_QUIRK_NONSTD_SDIO
  ACK: pavel
  - 51a5156bb779 media: saa7146: hexium_gemini: Fix a NULL pointer dereference in hexium_attach()
  ACK: pavel -- mostly just robustness
  - f6bc6b178ce1 media: igorplugusb: receiver overflow should be reported
  ACK: pavel
  - d698e024be2e HID: quirks: Allow inverting the absolute X/Y values
  NAK: pavel -- adds unused code to 4.19 and 5.10
  - 59f03633463f bpf: Do not WARN in bpf_warn_invalid_xdp_action()
  ACK: pavel -- just a printk tweak
  - 0e8805f73b69 net: bonding: debug: avoid printing debug logs when bond is not notifying peers
  ACK: pavel -- just a printk tweak
  - 8c72de32ff13 x86/mce: Mark mce_read_aux() noinstr
  ACK: pavel
  - 1ad3e60f1fec x86/mce: Mark mce_end() noinstr
  UR: pavel -- c/e
  - f21ca973b43f x86/mce: Mark mce_panic() noinstr
  UR: pavel -- c/e
  - de360d944386 x86/mce: Allow instrumentation during task work queueing
  ACK: uli
  - af371e0abb6c ath11k: Avoid false DEADLOCK warning reported by lockdep
  ACK: uli -- issue with lock debugging, not with locking itself
  - aec69e2f33b4 selftests/ftrace: make kprobe profile testcase description unique
  ACK: uli -- cosmetic, test only
  - 07ecabf15ad3 gpio: aspeed: Convert aspeed_gpio.lock to raw_spinlock
  ACK: uli
  - 7e09f9d15e43 net: phy: prefer 1000baseT over 1000baseKX
  ACK: uli
  - 443133330a5d net-sysfs: update the queue counts in the unregistration path
  ACK: pavel
  - 58b4c1ce8328 ath10k: Fix tx hanging
  ACK: pavel
  - fcba0bce3357 ath11k: avoid deadlock by change ieee80211_queue_work for regd_update_work
  ACK: uli
  - 93a108d466f8 iwlwifi: mvm: avoid clearing a just saved session protection id
  ACK: uli
  - ec01e0fe2184 iwlwifi: mvm: synchronize with FW after multicast commands
  ACK: pavel
  - c1976a424807 thunderbolt: Runtime PM activate both ends of the device link
  ACK: uli
  - 830e5d1b4344 media: m920x: don't use stack on USB reads
  NAK: pavel -- leaks memory, frees NULL
  - c33f0f22bfea media: saa7146: hexium_orion: Fix a NULL pointer dereference in hexium_attach()
  ACK: pavel -- just a robustness
  - 526b6c9b4521 media: rcar-vin: Update format alignment constraints
  ACK: uli -- not a (severe) bug
  - 74e60c1dce06 media: uvcvideo: Increase UVC_CTRL_CONTROL_TIMEOUT to 5 seconds.
  ACK: pavel
  - d0e3ab637de1 drm: rcar-du: Fix CRTC timings when CMM is used
  ACK: uli
  - e61aa46d0f27 x86/mm: Flush global TLB when switching to trampoline page-table
  ACK: uli -- real-life problem?
  - 0946fdd9290a floppy: Add max size check for user space request
  UR: pavel -- allocating max_order is still interesting
  - 409d45bcd381 usb: uhci: add aspeed ast2600 uhci support
  ACK: pavel
  - d0aec428c072 arm64: dts: ti: j7200-main: Fix 'dtbs_check' serdes_ln_ctrl node
  ACK: uli -- cosmetic
  - fcb45ac39f90 ACPI / x86: Add not-present quirk for the PCI0.SDHB.BRC1 device on the GPD win
  NAK: uli -- questionable fix to a problem on an irrelevant hardware platform
  - b8b2e74a8751 ACPI / x86: Allow specifying acpi_device_override_status() quirks by path
  ACK: uli -- is this a fix?
  - cda755506df4 ACPI: Change acpi_device_always_present() into acpi_device_override_status()
  NAK: uli -- feature
  - b029625063c1 ACPI / x86: Drop PWM2 device on Lenovo Yoga Book from always present table
  NAK: uli -- fix for a future driver (presumably not in stable)
  - cf3b1a160dc2 media: venus: avoid calling core_clk_setrate() concurrently during concurrent video sessions
  ACK: uli
  - adbe14867277 ath11k: Avoid NULL ptr access during mgmt tx cleanup
  ACK: uli
  - ab523ea096ef rsi: Fix out-of-bounds read in rsi_read_pkt()
  ACK: pavel -- just a robustness
  - 752587675068 rsi: Fix use-after-free in rsi_rx_done_handler()
  ACK: uli -- secfix
  - 6036500fdf77 mwifiex: Fix skb_over_panic in mwifiex_usb_recv()
  UR: pavel -- c/e
  - 8a6371d84c5f crypto: jitter - consider 32 LSB for APT
  ACK: uli
  - 240cf5d3cb5e HSI: core: Fix return freed object in hsi_new_client
  UR: pavel -- c/e
  - f4295b7dca87 gpiolib: acpi: Do not set the IRQ type if the IRQ is already in use
  ACK: pavel -- just a bios bug workaround
  - f0653cd4da66 tty: serial: imx: disable UCR4_OREN in .stop_rx() instead of .shutdown()
  ACK: uli
  - b8d10f601f22 drm/bridge: megachips: Ensure both bridges are probed before registration
  UR: pavel
  - 43fc9e267e2e mlxsw: pci: Add shutdown method in PCI driver
  ACK: pavel -- just a kexec fix
  - b2e921fa9219 soc: ti: pruss: fix referenced node in error message
  ACK: uli -- cosmetic
  - 07fbbc4dc79d drm/amdgpu/display: set vblank_disable_immediate for DC
  ACK: uli -- power saving, not a (severe) bug
  - 019fe9723a83 drm/amd/display: check top_pipe_to_program pointer
  ACK: uli
  - 3c3c0b6c4ae9 ARM: imx: rename DEBUG_IMX21_IMX27_UART to DEBUG_IMX27_UART
  NAK: pavel -- unsuitable, as imx21 is still supported in 4.19
  - f54d8cd831be EDAC/synopsys: Use the quirk for version instead of ddr version
  ACK: uli
  - 0b85d73fdbc8 media: b2c2: Add missing check in flexcop_pci_isr:
  UR: pavel -- c/e
  - c978d39a8b14 HID: apple: Do not reset quirks when the Fn key is not found
  ACK: pavel
  - 2df002e3276b drm: panel-orientation-quirks: Add quirk for the Lenovo Yoga Book X91F/L
  ACK: uli -- hardware relevant?
  - 5aa57672c66c usb: gadget: f_fs: Use stream_open() for endpoint files
  ACK: pavel -- interface tweak
  - 129e8faaee97 ath11k: Fix crash caused by uninitialized TX ring
  ACK: uli
  - e8b271f2aadd media: atomisp: handle errors at sh_css_create_isp_params()
  ACK: uli
  - ebe9c978d9e7 batman-adv: allow netlink usage in unprivileged containers
  ACK: uli -- not a fix that benefits existing deployments
  - ff452db96163 ARM: shmobile: rcar-gen2: Add missing of_node_put()
  ACK: uli
  - ff2138d6c2a3 media: atomisp-ov2680: Fix ov2680_set_fmt() clobbering the exposure
  ACK: uli -- sounds like it has a dependency on something else
  - 51ef6582a218 media: atomisp: set per-device's default mode
  NAK: uli -- random userspace-visible change in behavior
  - ac08140677c0 media: atomisp: fix try_fmt logic
  ACK: uli
  - 518e059789f6 drm/nouveau/pmu/gm200-: avoid touching PMU outside of DEVINIT/PREOS/ACR
  UR: pavel -- changes something, not a clear bugfix
  - e3ba02b043f2 drm/bridge: dw-hdmi: handle ELD when DRM_BRIDGE_ATTACH_NO_CONNECTOR
  ACK: uli
  - 2f13f10fddf4 ar5523: Fix null-ptr-deref with unexpected WDCMSG_TARGET_START reply
  UR: pavel -- c/e, just a robustness
  - a9d2ccfc7d2c selftests/bpf: Fix bpf_object leak in skb_ctx selftest
  ACK: uli -- test only
  - b207356933f4 drm/lima: fix warning when CONFIG_DEBUG_SG=y & CONFIG_DMA_API_DEBUG=y
  ACK: uli
  - db1e878373bf fs: dlm: filter user dlm messages for kernel locks
  UR: pavel -- c/e
  - f9c9a46efd94 Bluetooth: Fix debugfs entry leak in hci_register_dev()
  ACK: pavel
  - 852d7d436fd1 ARM: dts: omap3-n900: Fix lp5523 for multi color
  ACK: pavel
  - b5793aff11d7 of: base: Fix phandle argument length mismatch error message
  ACK: pavel
  - e16e836d510c clk: bm1880: remove kfrees on static allocations
  - 36d46e21c9c4 ASoC: fsl_asrc: refine the check of available clock divider
  ACK: uli
  - 5a6864e2e6ab RDMA/cxgb4: Set queue pair state when being queried
  ACK: uli
  - 80524c8cdf29 ASoC: fsl_mqs: fix MODULE_ALIAS
  ACK: uli
  - 74988d017dd1 powerpc/xive: Add missing null check after calling kmalloc
  ACK: uli
  - 588e0b81ce38 mips: bcm63xx: add support for clk_set_parent()
  ACK: uli
  - e3de89d010c0 mips: lantiq: add support for clk_set_parent()
  ACK: uli
  - 8f8468a089b0 arm64: tegra: Remove non existent Tegra194 reset
  ACK: pavel -- probably no functional impact
  - 702902fc7fb0 arm64: tegra: Fix Tegra194 HDA {clock,reset}-names ordering
  ACK: pavel -- just a cleanup/preparation
  - 24b047d72c77 counter: stm32-lptimer-cnt: remove iio counter abi
  ACK: uli -- stable??
  - a39460610452 misc: lattice-ecp3-config: Fix task hung when firmware load failed
  ACK: pavel
  - 696a50abbc7c ASoC: samsung: idma: Check of ioremap return value
  - d491a2c2cf96 ASoC: mediatek: Check for error clk pointer
  - c73ccdd62d21 phy: uniphier-usb3ss: fix unintended writing zeros to PHY register
  - d781f4cd8c71 scsi: block: pm: Always set request queue runtime active in blk_post_runtime_resume()
  ACK: pavel -- removes error handling to prevent deadlock, not really a bugfix
  - 6e2a16954459 iommu/iova: Fix race between FQ timeout and teardown
  ACK: pavel
  - 57bc8985753c ASoC: Intel: catpt: Test dmaengine_submit() result before moving on
  ACK: uli
  - 676049a3d2c6 iommu/amd: Restore GA log/tail pointer on host resume
  ACK: uli
  - c2bd7c31de1a iommu/amd: Remove iommu_init_ga()
  ACK: uli -- cleanup
  - 62ea255f2bde dmaengine: pxa/mmp: stop referencing config->slave_id
  ACK: uli -- cleanup
  - 0be9ae1e532e mips: fix Kconfig reference to PHYS_ADDR_T_64BIT
  ACK: uli
  - 88d78b25db1f mips: add SYS_HAS_CPU_MIPS64_R5 config for MIPS Release 5 support
  ACK: uli
  - 51b8e814bcef clk: stm32: Fix ltdc's clock turn off by clk_disable_unused() after system enter shell
  - dff359e04260 of: unittest: 64 bit dma address test requires arch support
  ACK: uli -- test-only
  - 918105df78b7 of: unittest: fix warning on PowerPC frame size warning
  ACK: uli -- test-only
  - 0e04518b1dd9 ASoC: rt5663: Handle device_property_read_u32_array error codes
  - 7c0d9c815ce8 RDMA/cma: Let cma_resolve_ib_dev() continue search even after empty entry
  - 2432d325f946 RDMA/core: Let ib_find_gid() continue search even after empty entry
  - d77916df161b powerpc/powermac: Add additional missing lockdep_register_key()
  ACK: pavel -- just a lockdep warning fixes
  - 8b3783e517f6 PCI/MSI: Fix pci_irq_vector()/pci_irq_get_affinity()
  ACK: pavel -- helper would not be bad
  - 7be2a0bcaf8e RDMA/qedr: Fix reporting max_{send/recv}_wr attrs
  - e19469468b7b scsi: ufs: Fix race conditions related to driver data
  ACK: pavel
  - ed43b2e048fe iommu/io-pgtable-arm: Fix table descriptor paddr formatting
  ACK: pavel
  - e9e4d1fb4590 openrisc: Add clone3 ABI wrapper
  ACK: pavel
  - 551a785c26f6 binder: fix handling of error during copy
  ACK: pavel
  - 88ddf033a5e4 char/mwave: Adjust io port register size
  ACK: pavel -- just a warning fix
  - 8937aee4c0fa ALSA: usb-audio: Drop superfluous '0' in Presonus Studio 1810c's ID
  ACK: pavel -- just a tiny cleanup
  - bcd533417fd0 ALSA: oss: fix compile error when OSS_DEBUG is enabled
  ACK: pavel
  - fd99aeb97845 clocksource: Avoid accidental unstable marking of clocksources
  UR: pavel -- just tweaks, it tweaks performance not serious bugs
  - cacc6c30e3eb clocksource: Reduce clocksource-skew threshold
  UR: pavel
  - 86ad478c99d2 powerpc/32s: Fix shift-out-of-bounds in KASAN init
  ACK: pavel
  - ef798cd035f3 powerpc/perf: Fix PMU callbacks to clear pending PMI before resetting an overflown PMC
  UR: pavel
  - 58014442a9e8 powerpc/irq: Add helper to set regs->softe
  UR: pavel --! this added unused function
  - c9ffa84a3bd1 powerpc/perf: move perf irq/nmi handling details into traps.c
  UR: pavel
  - a0758b3be46d powerpc/perf: MMCR0 control for PMU registers under PMCC=00
  ACK: pavel -- just a support for new hw
  - f4df6db5b0b8 powerpc/64s: Convert some cpu_setup() and cpu_restore() functions to C
  UR: pavel -- rewrites code into C, big, just a preparation?
  - a9c9d2ff6423 dt-bindings: thermal: Fix definition of cooling-maps contribution property
  ACK: pavel -- just an dt binding fix
  - 2bd8d937957f ASoC: uniphier: drop selecting non-existing SND_SOC_UNIPHIER_AIO_DMA
  ACK: pavel
  - 5a821af769bb powerpc/prom_init: Fix improper check of prom_getprop()
  ACK: pavel
  - 9ca761ef946d clk: imx8mn: Fix imx8mn_clko1_sels
  ACK: pavel
  - 999528d8a749 scsi: pm80xx: Update WARN_ON check in pm8001_mpi_build_cmd()
  ACK: pavel
  - c5f414d69ac9 RDMA/hns: Validate the pkey index
  - 04a032ea2498 RDMA/bnxt_re: Scan the whole bitmap when checking if "disabling RCFW with pending cmd-bit"
  - 84cd5c029d48 ALSA: hda: Add missing rwsem around snd_ctl_remove() calls
  ACK: pavel
  - 180e9d7384c6 ALSA: PCM: Add missing rwsem around snd_ctl_remove() calls
  ACK: pavel
  - 49d76154ba8d ALSA: jack: Add missing rwsem around snd_ctl_remove() calls
  ACK: pavel
  - f871cd8ee0f0 ext4: avoid trim error on fs with small groups
  UR: pavel -- just an interface tweak, reasonable?, c/e
  - 99590e820feb net: mcs7830: handle usb read errors properly
  ACK: pavel
  - 2b948524ae65 iwlwifi: mvm: Use div_s64 instead of do_div in iwl_mvm_ftm_rtt_smoothing()
  ACK: pavel
  - 04ce9e2aeda7 pcmcia: fix setting of kthread task states
  ACK: pavel
  - 5064bfe046b0 can: xilinx_can: xcan_probe(): check for error irq
  ACK: pavel
  - b6dd1577bc92 can: softing: softing_startstop(): fix set but not used variable warning
  ACK: pavel -- just an ugly warning workaround
  - b9ac866c23bb tpm_tis: Fix an error handling path in 'tpm_tis_core_init()'
  ACK: pavel
  - fb46223c9f94 tpm: add request_locality before write TPM_INT_ENABLE
  ACK: pavel
  - 20edf903a3a5 can: mcp251xfd: add missing newline to printed strings
  ACK: pavel -- just a printk tweak
  - d71fca5d0167 regmap: Call regmap_debugfs_exit() prior to _init()
  ACK: pavel
  - 838acddcdf75 netrom: fix api breakage in nr_setsockopt()
  ACK: pavel -- also tweaks interface
  - 0d04479857bc ax25: uninitialized variable in ax25_setsockopt()
  ACK: pavel -- also tweaks interface
  - 27e9910c4516 spi: spi-meson-spifc: Add missing pm_runtime_disable() in meson_spifc_probe
  ACK: pavel
  - 9d6350cf8e5a Bluetooth: L2CAP: uninitialized variables in l2cap_sock_setsockopt()
  ACK: pavel
  - 9defd7d4c084 lib/mpi: Add the return value check of kcalloc()
  ACK: pavel
  - e801f81cee3c net/mlx5: Set command entry semaphore up once got index free
  ACK: pavel
  - d2b9ce705d79 Revert "net/mlx5e: Block offload of outer header csum for UDP tunnels"
  ACK: pavel -- looks like a performance tweak
  - 67e1a449a165 net/mlx5e: Don't block routes with nexthop objects in SW
  ACK: pavel
  - cc40fa05c0a6 net/mlx5e: Fix page DMA map/unmap attributes
  ACK: pavel
  - b3dda01d1d47 debugfs: lockdown: Allow reading debugfs files that are not world readable
  UR: pavel -- check
  - b9b5da3e187e HID: hid-uclogic-params: Invalid parameter check in uclogic_params_frame_init_v1_buttonpad
  ACK: pavel -- just a robustness
  - 541c3a044b46 HID: hid-uclogic-params: Invalid parameter check in uclogic_params_huion_init
  ACK: pavel -- just a robustness
  - c47f842e0c3c HID: hid-uclogic-params: Invalid parameter check in uclogic_params_get_str_desc
  ACK: pavel -- just a robustness
  - cf5ad827ee69 HID: hid-uclogic-params: Invalid parameter check in uclogic_params_init
  ACK: pavel -- just a robustness
  - 94177fcecc35 usb: dwc3: qcom: Fix NULL vs IS_ERR checking in dwc3_qcom_probe
  ACK: pavel
  - 4579954bf4cc Bluetooth: hci_qca: Fix NULL vs IS_ERR_OR_NULL check in qca_serdev_probe
  ACK: pavel
  - f6bf3d66393b Bluetooth: hci_bcm: Check for error irq
  ACK: pavel -- just a robustness
  - f5e4f68d57d6 fsl/fman: Check for null pointer after calling devm_ioremap
  ACK: pavel
  - 60aca6fdc167 staging: greybus: audio: Check null pointer
  - a1068bfee47a rocker: fix a sleeping in atomic bug
  ACK: pavel
  - 2db344725e17 ppp: ensure minimum packet size in ppp_write()
  ACK: pavel
  - 45643b1b6ce1 netfilter: nft_set_pipapo: allocate pcpu scratch maps on clone
  ACK: pavel
  - 8772700a9f1e bpf: Fix SO_RCVBUF/SO_SNDBUF handling in _bpf_setsockopt().
  UR: pavel -- what is going on with types?
  - 342332fb0be6 bpf: Don't promote bogus looking registers after null check.
  ACK: pavel
  - 0036c78c492a netfilter: ipt_CLUSTERIP: fix refcount leak in clusterip_tg_check()
  ACK: pavel
  - 2e718389b986 power: reset: mt6397: Check for null res pointer
  ACK: pavel
  - 4210c35fe81b pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in nonstatic_find_mem_region()
  ACK: pavel
  - 2dee347f356d pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in __nonstatic_find_io_region()
  ACK: pavel
  - 0f03132191ba ACPI: scan: Create platform device for BCM4752 and LNV4752 ACPI nodes
  ACK: pavel -- not a minimum fix
  - 595e1ec55b30 x86/mce/inject: Avoid out-of-bounds write when setting flags
  ACK: pavel
  - df1268181928 hwmon: (mr75203) fix wrong power-up delay value
  ACK: pavel
  - aea5302d9ddc x86/boot/compressed: Move CLANG_FLAGS to beginning of KBUILD_CFLAGS
  ACK: pavel
  - 70eec71f32eb Bluetooth: hci_qca: Stop IBS timer during BT OFF
  ACK: pavel
  - 1d4e722b62d2 software node: fix wrong node passed to find nargs_prop
  ACK: pavel
  - f8f3c1720d77 backlight: qcom-wled: Respect enabled-strings in set_brightness
  ACK: pavel
  - de79bcbfaf4d backlight: qcom-wled: Use cpu_to_le16 macro to perform conversion
  ACK: pavel -- just a cleanup
  - c79f9b8d8e26 backlight: qcom-wled: Override default length with qcom,enabled-strings
  ACK: pavel
  - bf4daf6153c9 backlight: qcom-wled: Fix off-by-one maximum with default num_strings
  ACK: pavel
  - 09aed85e8c98 backlight: qcom-wled: Pass number of elements to read to read_u32_array
  ACK: pavel
  - f4ed4fc504fd backlight: qcom-wled: Validate enabled string indices in DT
  ACK: pavel
  - e668ac6506d3 bpftool: Enable line buffering for stdout
  - 009bb7ee1577 Bluetooth: L2CAP: Fix using wrong mode
  ACK: pavel
  - 1a2241ad400b um: virtio_uml: Fix time-travel external time propagation
  ACK: pavel
  - 8411722e5652 um: fix ndelay/udelay defines
  ACK: pavel -- not sure what is fixed
  - b2b1b490bd29 selinux: fix potential memleak in selinux_add_opt()
  ACK: pavel
  - 3253cf091464 mmc: meson-mx-sdio: add IRQ check
  ACK: pavel
  - decb2099549d mmc: meson-mx-sdhc: add IRQ check
  ACK: pavel
  - bdc6c9fc5f78 iwlwifi: mvm: test roc running status bits before removing the sta
  ACK: pavel
  - a750fcd604a6 iwlwifi: mvm: fix 32-bit build in FTM
  ACK: pavel
  - 86b0122d2682 ARM: dts: armada-38x: Add generic compatible to UART nodes
  ACK: pavel
  - 1f5428e43806 arm64: dts: marvell: cn9130: enable CP0 GPIO controllers
  ACK: pavel
  - 874b97e86278 arm64: dts: marvell: cn9130: add GPIO and SPI aliases
  ACK: pavel
  - 407ef1db4036 usb: ftdi-elan: fix memory leak on device disconnect
  ACK: pavel
  - 2a65da5a1ea3 ARM: 9159/1: decompressor: Avoid UNPREDICTABLE NOP encoding
  ACK: pavel -- just a crazy trick for qemu
  - 47dd693c94bf xfrm: state and policy should fail if XFRMA_IF_ID 0
  ACK: pavel
  - db369047e3b3 xfrm: interface with if_id 0 should return error
  NAK: pavel -- second hunk breaks changelink functionality
  - 37441ddadc1e media: hantro: Fix probe func error path
  ACK: pavel
  - 3849ec830bf7 drm/tegra: vic: Fix DMA API misuse
  ACK: pavel
  - b230114bc57a drm/bridge: ti-sn65dsi86: Set max register for regmap
  ACK: pavel -- just a debugging aid
  - db97fc2c4425 drm/msm/dpu: fix safe status debugfs file
  ACK: pavel
  - 3580055d1fca arm64: dts: qcom: ipq6018: Fix gpio-ranges property
  ACK: pavel
  - 6f20a5a98a90 arm64: dts: qcom: c630: Fix soundcard setup
  ACK: pavel
  - 394ee480aa3e ath11k: Fix a NULL pointer dereference in ath11k_mac_op_hw_scan()
  ACK: pavel -- just a theoretical bug
  - f6e4a6cbdb6f media: coda/imx-vdoa: Handle dma_set_coherent_mask error codes
  ACK: pavel -- just a robustness
  - 1a8869de328a media: msi001: fix possible null-ptr-deref in msi001_probe()
  ACK: pavel
  - a79327bb0191 media: dw2102: Fix use after free
  ACK: pavel
  - 958a8819d414 ARM: dts: gemini: NAS4220-B: fis-index-block with 128 KiB sectors
  ACK: pavel
  - 3e51460638a6 ath11k: Fix deleting uninitialized kernel timer during fragment cache flush
  ACK: pavel
  - b35263f000a5 crypto: stm32 - Revert broken pm_runtime_resume_and_get changes
  ACK: pavel
  - 1f5b81874f27 crypto: stm32/cryp - fix bugs and crash in tests
  UR: pavel -- basically a rewrite
  - 1f6151b0774b crypto: stm32/cryp - fix lrw chaining mode
  ACK: pavel
  - 2bd40e3a3aa2 crypto: stm32/cryp - fix double pm exit
  ACK: pavel
  - 533af1621d1c crypto: stm32/cryp - check early input data
  UR: pavel -- crazy code, should probably do the checks elsewhere
  - 5deb24e50372 crypto: stm32/cryp - fix xts and race condition in crypto_engine requests
  ACK: pavel
  - e9e0dd5da8ca crypto: stm32/cryp - fix CTR counter carry
  ACK: pavel -- just a sparse warning fixes; not completely obvious
  - c40b1bc851e0 crypto: stm32 - Fix last sparse warning in stm32_cryp_check_ctr_counter
  ACK: pavel -- just a sparse warning fix
  - 93033bbbdc25 selftests: harness: avoid false negatives if test has no ASSERTs
  - f568fd97d751 selftests: clone3: clone3: add case CLONE3_ARGS_NO_TEST
  - d21b47c60737 x86/uaccess: Move variable into switch case statement
  ACK: pavel -- just a warning workaround
  - 3e801ea43c4b xfrm: fix a small bug in xfrm_sa_len()
  ACK: pavel
  - b87034d7a2a8 mwifiex: Fix possible ABBA deadlock
  ACK: pavel -- fixes deadlock that can not happen, just a robustness
  - 0836f9404017 rcu/exp: Mark current CPU as exp-QS in IPI loop second pass
  ACK: pavel
  - 027165c491e4 drm/msm/dp: displayPort driver need algorithm rational
  ACK: pavel
  - 268f35245650 sched/rt: Try to restart rt period timer when rt runtime exceeded
  ACK: pavel
  - bb0579ab5077 wireless: iwlwifi: Fix a double free in iwl_txq_dyn_alloc_dma
  ACK: pavel
  - b4b911b1648c media: si2157: Fix "warm" tuner state detection
  ACK: pavel
  - 7009a5fbc589 media: saa7146: mxb: Fix a NULL pointer dereference in mxb_attach()
  ACK: pavel -- theoretical bug
  - df79d2bf95e0 media: dib8000: Fix a memleak in dib8000_init()
  ACK: pavel -- theoretical bug
  - f0cb43a2c674 arm64: clear_page() shouldn't use DC ZVA when DCZID_EL0.DZP == 1
  ACK: pavel
  - 88ed31aab481 arm64: lib: Annotate {clear, copy}_page() as position-independent
  ACK: pavel -- just a preparation for next patch
  - 69e402a98541 bpf: Remove config check to enable bpf support for branch records
  NAK: pavel -- just enables previously-disabled feautre
  - 924886fa2246 bpf: Disallow BPF_LOG_KERNEL log level for bpf(BPF_BTF_LOAD)
  ACK: pavel
  - 218d952160f7 bpf: Adjust BTF log size limit.
  ACK: pavel -- just an API tweak
  - b77ef5b4ead6 sched/fair: Fix per-CPU kthread and wakee stacking for asym CPU capacity
  ACK: pavel
  - d7d5b3bc5263 sched/fair: Fix detection of per-CPU kthreads waking a task
  ACK: pavel
  - ec121517ac8d Bluetooth: btmtksdio: fix resume failure
  ACK: pavel
  - 2a7edcb3ef72 staging: rtl8192e: rtllib_module: fix error handle case in alloc_rtllib()
  - 49f5cd2b7c41 staging: rtl8192e: return error code from rtllib_softmac_init()
  - 04fdd426cef2 floppy: Fix hang in watchdog when disk is ejected
  ACK: pavel
  - 45bbe008013f serial: amba-pl011: do not request memory region twice
  ACK: pavel
  - 8409d2394cca tty: serial: uartlite: allow 64 bit address
  ACK: pavel -- types are still confused
  - a001a15ab374 arm64: dts: ti: k3-j7200: Correct the d-cache-sets info
  ACK: pavel
  - 75919207c16a arm64: dts: ti: k3-j721e: Fix the L2 cache sets
  ACK: pavel
  - 2dcfa3c76596 arm64: dts: ti: k3-j7200: Fix the L2 cache sets
  ACK: pavel
  - f277978d6c46 drm/radeon/radeon_kms: Fix a NULL pointer dereference in radeon_driver_open_kms()
  ACK: pavel -- not a minimum fix
  - 3ca1b3b82fe7 drm/amdgpu: Fix a NULL pointer dereference in amdgpu_connector_lcd_native_mode()
  ACK: pavel
  - 96e05d2d9370 thermal/drivers/imx8mm: Enable ADC when enabling monitor
  UR: pavel -- whole block can be conditional
  - ef72449e2d79 ACPI: EC: Rework flushing of EC work while suspended to idle
  UR: pavel -- not nearly a minimal fix; buggy, fixed in 5.10.101
  - c0acd5a09796 cgroup: Trace event cgroup id fields should be u64
  ACK: pavel
  - e7e178e26418 arm64: dts: qcom: msm8916: fix MMC controller aliases
  ACK: pavel
  - 894d91c6334b netfilter: bridge: add support for pppoe filtering
  ACK: pavel
  - 13f64bbe4255 thermal/drivers/imx: Implement runtime PM support
  UR: pavel
  - c3a59f34e87c media: venus: core: Fix a resource leak in the error handling path of 'venus_probe()'
  ACK: pavel
  - 50c4244906d6 media: venus: core: Fix a potential NULL pointer dereference in an error handling path
  ACK: pavel
  - eeefa2eae8fc media: venus: core, venc, vdec: Fix probe dependency error
  UR: pavel
  - 53f65afc260f media: venus: pm_helpers: Control core power domain manually
  UR: pavel --! wrong core_power_v4
  - 89f518b153d1 media: coda: fix CODA960 JPEG encoder buffer overflow
  ACK: pavel -- just a robustness
  - 1da628d351a9 media: mtk-vcodec: call v4l2_m2m_ctx_release first when file is released
  ACK: pavel
  - 2028fb832da6 media: si470x-i2c: fix possible memory leak in si470x_i2c_probe()
  ACK: pavel
  - e8d78f924f02 media: imx-pxp: Initialize the spinlock prior to using it
  ACK: pavel
  - 621e8ce75d66 media: rcar-csi2: Correct the selection of hsfreqrange
  ACK: pavel
  - ad52b9890b83 mfd: atmel-flexcom: Use .resume_noirq
  ACK: pavel
  - 46d6a2311409 mfd: atmel-flexcom: Remove #ifdef CONFIG_PM_SLEEP
  ACK: pavel -- just a cleanup/preparation
  - f93c9aa1d36f tty: serial: atmel: Call dma_async_issue_pending()
  ACK: pavel
  - 755a6c873b9c tty: serial: atmel: Check return code of dmaengine_submit()
  ACK: pavel
  - bd85b2e77aa9 arm64: dts: ti: k3-j721e: correct cache-sets info
  ACK: pavel
  - 32e9947e6639 ath11k: Use host CE parameters for CE interrupts configuration
  ACK: pavel
  - 6a49acfacab5 crypto: qat - fix undetected PFVF timeout in ACK loop
  ACK: pavel
  - 475ac5c5653f crypto: qat - make pfvf send message direction agnostic
  ACK: pavel -- just a  preparation and comment/printk updates
  - ee1c74c3c9c2 crypto: qat - remove unnecessary collision prevention step in PFVF
  ACK: pavel -- just a preparation and speedup
  - 472f76835200 crypto: qat - fix spelling mistake: "messge" -> "message"
  ACK: pavel -- just a preparation and a trivial comment update
  - ae766527e6b7 ARM: dts: stm32: fix dtbs_check warning on ili9341 dts binding on stm32f429 disco
  ACK: pavel
  - eab4204588a0 mtd: hyperbus: rpc-if: fix bug in rpcif_hb_remove
  ACK: pavel
  - 867d4ace48da crypto: qce - fix uaf on qce_skcipher_register_one
  ACK: pavel
  - e19b3c1b5768 crypto: qce - fix uaf on qce_ahash_register_one
  ACK: pavel
  - 5de640f59f99 media: dmxdev: fix UAF when dvb_register_device() fails
  ACK: pavel
  - 1d64e2bd2222 arm64: dts: renesas: cat875: Add rx/tx delays
  ACK: pavel
  - a33eef23a658 drm/vboxvideo: fix a NULL vs IS_ERR() check
  ACK: pavel
  - 43220a61e7b8 fs: dlm: fix build with CONFIG_IPV6 disabled
  ACK: pavel
  - 0d7c5d10e7db tee: fix put order in teedev_close_context()
  ACK: pavel
  - 097e601eb887 ath11k: reset RSN/WPA present state for open BSS
  ACK: pavel -- code could be simpler
  - fa51addd391d ath11k: clear the keys properly via DISABLE_KEY
  ACK: pavel
  - df94b37e902b ath11k: Fix ETSI regd with weather radar overlap
  ACK: pavel
  - ffc9019bd991 Bluetooth: stop proccessing malicious adv data
  ACK: pavel
  - 3273541fed60 memory: renesas-rpc-if: Return error in case devm_ioremap_resource() fails
  ACK: pavel
  - 55917db35976 fs: dlm: don't call kernel_getpeername() in error_report()
  ACK: pavel -- buggy, fixed below
  - 98923ebb034b fs: dlm: use sk->sk_socket instead of con->sock
  ACK: pavel -- just a cleanup/preparation
  - 6edd1bd8e3d8 arm64: dts: meson-gxbb-wetek: fix missing GPIO binding
  ACK: pavel -- just a fix for u-boot
  - eb1f75fa2458 arm64: dts: meson-gxbb-wetek: fix HDMI in early boot
  ACK: pavel
  - 6f012f2c445b arm64: dts: amlogic: Fix SPI NOR flash node name for ODROID N2/N2+
  ACK: pavel -- just a dts warning fix
  - 96d710b1c6ff arm64: dts: amlogic: meson-g12: Fix GPU operating point table node name
  ACK: pavel -- just a dts warning fix
  - 0b57480ed51a media: aspeed: Update signal status immediately to ensure sane hw state
  ACK: pavel
  - 0ff0ae69d27c media: em28xx: fix memory leak in em28xx_init_dev
  - b441d9428735 media: aspeed: fix mode-detect always time out at 2nd run
  - 8d132d9dd8ba media: atomisp: fix uninitialized bug in gmin_get_pmic_id_and_addr()
  ACK: uli
  - fc2b95e7aeae media: atomisp: fix enum formats logic
  ACK: uli -- required by 374d62e7aa50 ("media: v4l2-subdev: Verify v4l2_subdev_call() pad config argument")
  - 6e5353238c55 media: atomisp: add NULL check for asd obtained from atomisp_video_pipe
  ACK: uli
  - 6cbabad304c4 media: staging: media: atomisp: pci: Balance braces around conditional statements in file atomisp_cmd.c
  NAK: uli -- coding style fix, no functional changes
  - 22b0b68f7d9f media: atomisp: fix ifdefs in sh_css.c
  ACK: uli -- stable?
  - 0bf5e8af6eb6 media: atomisp: fix inverted error check for ia_css_mipi_is_source_port_valid()
  ACK: uli
  - 3cb3e66f583c media: atomisp: do not use err var when checking port validity for ISP2400
  ACK: uli
  - 08e43223fb4e media: atomisp: fix inverted logic in buffers_needed()
  ACK: uli
  - fb370f6dc7d5 media: atomisp: fix punit_ddr_dvfs_enable() argument for mrfld_power up case
  ACK: uli
  - 1daacf9bb69a media: atomisp: add missing media_device_cleanup() in atomisp_unregister_entities()
  ACK: uli
  - e1da9301cf54 media: videobuf2: Fix the size printk format
  ACK: pavel -- just a cleanup
  - 90807ab437e8 mtd: hyperbus: rpc-if: Check return value of rpcif_sw_init()
  ACK: pavel
  - 9bfed11dcf59 ath11k: Send PPDU_STATS_CFG with proper pdev mask to firmware
  ACK: pavel
  - 2fe056d9791a wcn36xx: fix RX BD rate mapping for 5GHz legacy rates
  ACK: pavel
  - 22406ed4e389 wcn36xx: populate band before determining rate on RX
  ACK: pavel
  - 92fea7bd5af3 wcn36xx: Put DXE block into reset before freeing memory
  UR: pavel --a no need to sync or something like that?
  - 0d53c47f6ab5 wcn36xx: Release DMA channel descriptor allocations
  ACK: pavel
  - 1850195a852d wcn36xx: Fix DMA channel enable/disable cycle
  ACK: pavel -- just a cleanup
  - 38a7842889f5 wcn36xx: Indicate beacon not connection loss on MISSED_BEACON_IND
  ACK: pavel
  - fcb267bb9577 wcn36xx: ensure pairing of init_scan/finish_scan and start_scan/end_scan
  ACK: pavel -- not sure it fixes user-visible bug
  - e53ff4dd7095 drm/vc4: hdmi: Set a default HSM rate
  ACK: pavel
  - b9c2343373f6 clk: bcm-2835: Remove rounding up the dividers
  ACK: pavel -- redoes clock rounding
  - 836dd37fe2bb clk: bcm-2835: Pick the closest clock rate
  ACK: pavel -- redoes clock rounding
  - 88f1b613c37f Bluetooth: cmtp: fix possible panic when cmtp_init_sockets() fails
  ACK: pavel
  - 9ddfa1c19191 drm/rockchip: dsi: Reconfigure hardware on resume()
  ACK: pavel
  - 58904ed18628 drm/rockchip: dsi: Disable PLL clock on bind error
  ACK: pavel
  - 6215cde02085 drm/rockchip: dsi: Hold pm-runtime across bind/unbind
  ACK: pavel
  - 8ccaafa1caf0 drm/rockchip: dsi: Fix unbalanced clock on probe error
  ACK: pavel -- still has a problem, fixed by next commits (5a6145)
  - 9bc19022aa08 drm/panel: innolux-p079zca: Delete panel on attach() failure
  ACK: pavel
  - b01b7b868479 drm/panel: kingdisplay-kd097d04: Delete panel on attach() failure
  ACK: pavel
  - 0499c863a8db drm: fix null-ptr-deref in drm_dev_init_release()
  ACK: pavel
  - 7798757013ec drm/bridge: display-connector: fix an uninitialized pointer in probe()
  ACK: pavel
  - cb5813b0e591 Bluetooth: L2CAP: Fix not initializing sk_peer_pid
  ACK: pavel
  - ed0b1fd3ec6e drm/ttm: Put BO in its memory manager's lru list
  ACK: pavel
  - 7b9fa915a58d shmem: fix a race between shmem_unused_huge_shrink and shmem_evict_inode
  ACK: pavel
  - 6c6f86bb618b mm/page_alloc.c: do not warn allocation failure on zone DMA if no managed pages
  ACK: pavel -- just a printk fix
  - e04b1dfe15ce dma/pool: create dma atomic pool only if dma zone has managed pages
  - d2e572411738 mm_zone: add function to check if managed dma zone exists
  ACK: pavel -- not really obvious change
  - 2142a7e9bd1f PCI: Add function 1 DMA alias quirk for Marvell 88SE9125 SATA controller
  ACK: pavel
  - 45c74f4f54db dma_fence_array: Fix PENDING_ERROR leak in dma_fence_array_signaled()
  ACK: pavel
  - 191a24ceae75 gpu: host1x: Add back arm_iommu_detach_device()
  ACK: pavel
  - 068067453690 iommu/io-pgtable-arm-v7s: Add error handle for page table allocation failure
  ACK: pavel
  - 3dae11f8e381 lkdtm: Fix content of section containing lkdtm_rodata_do_nothing()
  ACK: pavel
  - e4a2c924a17e iio: adc: ti-adc081c: Partial revert of removal of ACPI IDs
  ACK: pavel
  - 256302cb2f86 can: softing_cs: softingcs_probe(): fix memleak on registration failure
  ACK: pavel
  - aa57725e2d2a media: cec-pin: fix interrupt en/disable handling
  UR: pavel
  - 2e566cacc321 media: stk1160: fix control-message timeouts
  ACK: pavel
  - 1a0ca711dff6 media: pvrusb2: fix control-message timeouts
  ACK: pavel
  - 2dbf430ead59 media: redrat3: fix control-message timeouts
  ACK: pavel
  - 6e9c120bf956 media: dib0700: fix undefined behavior in tuner shutdown
  ACK: pavel
  - 5e98ac260de6 media: s2255: fix control-message timeouts
  ACK: pavel
  - 09b0b918a69b media: cpia2: fix control-message timeouts
  ACK: pavel
  - d90833106c09 media: em28xx: fix control-message timeouts
  ACK: pavel
  - 2182575c83f9 media: mceusb: fix control-message timeouts
  ACK: pavel
  - 460525acc953 media: flexcop-usb: fix control-message timeouts
  ACK: pavel
  - 7cac8a562427 media: v4l2-ioctl.c: readbuffers depends on V4L2_CAP_READWRITE
  ACK: pavel
  - 1da0b1cd4212 rtc: cmos: take rtc_lock while reading from CMOS
  ACK: pavel
  - 14f6cfe0d790 tools/nolibc: fix incorrect truncation of exit code
  ACK: pavel -- not a minimum fix
  - 5e258640ba54 tools/nolibc: i386: fix initial stack alignment
  ACK: pavel
  - 06f7528d641b tools/nolibc: x86-64: Fix startup code bug
  ACK: pavel
  - 98259dd54e8e x86/gpu: Reserve stolen memory for first integrated Intel GPU
  ACK: pavel
  - e2a17dcad56e mtd: rawnand: davinci: Rewrite function description
  ACK: pavel -- just a comment change
  - 8933138a6660 mtd: rawnand: davinci: Avoid duplicated page read
  ACK: pavel
  - 677764634b42 mtd: rawnand: davinci: Don't calculate ECC when reading page
  ACK: pavel -- just an optimalization
  - a8a607b0049d mtd: Fixed breaking list in __mtd_del_partition.
  ACK: pavel
  - ff10cd7bb295 mtd: rawnand: gpmi: Remove explicit default gpmi clock setting for i.MX6
  ACK: pavel -- just a cleanup
  - 538a5e208e7d mtd: rawnand: gpmi: Add ERR007117 protection for nfc_apply_timings
  NAK: pavel -- buggy, fixed below; still leaks pm reference in the error case
  - 777a700ccfa6 nfc: llcp: fix NULL error pointer dereference on sendmsg() after failed bind()
  ACK: pavel
  - 08283b076f4e f2fs: fix to do sanity check in is_alive()
  NAK: pavel -- just robustness, misses put_page
  - 57cfc965e375 HID: wacom: Avoid using stale array indicies to read contact count
  ACK: pavel
  - 7fd22c99bbed HID: wacom: Ignore the confidence flag when a touch is removed
  ACK: pavel
  - 9a4800e0f6a5 HID: wacom: Reset expected and received contact counts at the same time
  ACK: pavel
  - c2e39d5df028 HID: uhid: Fix worker destroying device without any protection
  ACK: pavel
  - aa1346113c75 KVM: VMX: switch blocked_vcpu_on_cpu_lock to raw spinlock
